petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFormatConvert

Takes a PETSc format string and converts the %D to %d for 32 bit PETSc indices and %lld for 64 bit PETSc indices. Also converts %g to [|%g|] so that PetscVSNPrintf() can easily insure all %g formatted numbers have a decimal point when printed.

### Synopsis

    PetscErrorCode PetscFormatConvert(const char *format,char *newformat)

### Input Parameters

| format | - the PETSc format string
| newformat | - the location to put the new format
| size | - the length of newformat, you can use PetscFormatConvertGetSize() to compute the needed size

Note: this exists so we can have the same code when PetscInt is either int or long long int

### See Also

PetscFormatConvertGetSize(), PetscVSNPrintf(), PetscVFPrintf()

### Level

developer

### Location

src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages